summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Isaac Yu <isaacyu1@isaacyu1.com>2022-08-25 22:57:57 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-08-27 22:50:31 +0700
commit3a1d88ddcdba400371f3ba014ca249766a5029f3 (patch)
tree1953d37691cad14ceb3962f8acb6b027ab9b72cc /desktop
parent127f6e0689114c652fb3758c7d18a028a227cfea (diff)
downloadslackbuilds-3a1d88ddcdba400371f3ba014ca249766a5029f3.tar.gz
slackbuilds-3a1d88ddcdba400371f3ba014ca249766a5029f3.tar.xz
desktop/sddm-theme-artix: Added (SDDM theme for Artix Linux)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/sddm-theme-artix/README9
-rw-r--r--desktop/sddm-theme-artix/add_clock.diff18
-rw-r--r--desktop/sddm-theme-artix/gradient_blue_background.diff6
-rw-r--r--desktop/sddm-theme-artix/remove_artix_logo.diff16
-rw-r--r--desktop/sddm-theme-artix/sddm-theme-artix.SlackBuild100
-rw-r--r--desktop/sddm-theme-artix/sddm-theme-artix.info10
-rw-r--r--desktop/sddm-theme-artix/slack-desc19
7 files changed, 178 insertions, 0 deletions
diff --git a/desktop/sddm-theme-artix/README b/desktop/sddm-theme-artix/README
new file mode 100644
index 0000000000..405a842054
--- /dev/null
+++ b/desktop/sddm-theme-artix/README
@@ -0,0 +1,9 @@
+This is the default SDDM theme used in Artix Linux.
+
+This SlackBuild includes a patch which adds time display to the
+login screen.
+
+To remove the Artix logo from the login screen, pass
+REMOVE_LOGO=yes to the SlackBuild.
+To change the background from a DNA spiral to a gradient blue one, pass
+GRADIENT_BLUE=yes to the SlackBuild.
diff --git a/desktop/sddm-theme-artix/add_clock.diff b/desktop/sddm-theme-artix/add_clock.diff
new file mode 100644
index 0000000000..d87dc88b3f
--- /dev/null
+++ b/desktop/sddm-theme-artix/add_clock.diff
@@ -0,0 +1,18 @@
+--- a/artix/Main.qml 2020-06-23 13:43:28.000000000 -0700
++++ b/artix/Main.qml 2022-08-16 21:06:03.751406362 -0700
+@@ -44,6 +44,15 @@
+ color: "transparent"
+ //visible: primaryScreen
+
++ Clock {
++ id: clock
++ anchors.margins: 5
++ anchors.top: parent.top; anchors.right: parent.right
++
++ color: "white"
++ timeFont.family: "Oxygen"
++ }
++
+ Image {
+ id: rectangle
+ anchors.centerIn: parent
diff --git a/desktop/sddm-theme-artix/gradient_blue_background.diff b/desktop/sddm-theme-artix/gradient_blue_background.diff
new file mode 100644
index 0000000000..f3cf088895
--- /dev/null
+++ b/desktop/sddm-theme-artix/gradient_blue_background.diff
@@ -0,0 +1,6 @@
+--- a/artix/theme.conf 2020-06-23 13:43:28.000000000 -0700
++++ b/artix/theme.conf 2022-08-16 20:29:49.612488149 -0700
+@@ -1,2 +1,2 @@
+ [General]
+-background=/usr/share/backgrounds/Artix_dna_spiral_dark.jpg
++background=/usr/share/backgrounds/GradientGlowBlue.jpg
diff --git a/desktop/sddm-theme-artix/remove_artix_logo.diff b/desktop/sddm-theme-artix/remove_artix_logo.diff
new file mode 100644
index 0000000000..426f1fa54c
--- /dev/null
+++ b/desktop/sddm-theme-artix/remove_artix_logo.diff
@@ -0,0 +1,16 @@
+--- a/artix/Main.qml 2022-08-16 21:06:03.751406362 -0700
++++ b/artix/Main.qml 2022-08-16 21:17:32.840380440 -0700
+@@ -66,13 +66,6 @@
+ anchors.centerIn: parent
+ spacing: 12
+
+- Image {
+- mipmap: true
+- source: "artix-banner.svg"
+- width: parent.width
+- fillMode: Image.PreserveAspectFit
+- }
+-
+ Text {
+ anchors.horizontalCenter: parent.horizontalCenter
+ color: "#cc000000"
diff --git a/desktop/sddm-theme-artix/sddm-theme-artix.SlackBuild b/desktop/sddm-theme-artix/sddm-theme-artix.SlackBuild
new file mode 100644
index 0000000000..8fa949d5bb
--- /dev/null
+++ b/desktop/sddm-theme-artix/sddm-theme-artix.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/bash
+
+# Slackware build script for sddm-theme-artix
+
+# Copyright 2022 Isaac Yu <isaacyu1@isaacyu1.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=sddm-theme-artix
+VERSION=${VERSION:-0.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Add the clock (from Maldives theme)
+patch -p1 < $CWD/add_clock.diff
+
+# Remove Artix branding
+if [ ${REMOVE_LOGO:-no} = yes ]; then
+ patch -p1 < $CWD/remove_artix_logo.diff
+fi
+
+# Use gradient glow blue background instead:
+# https://gitea.artixlinux.org/artix/artwork/src/branch/master/backgrounds/GradientGlowBlue.jpg
+if [ ${GRADIENT_BLUE:-no} = yes ]; then
+ patch -p1 < $CWD/gradient_blue_background.diff
+fi
+
+make PREFIX=/usr DESTDIR=$PKG install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/sddm-theme-artix/sddm-theme-artix.info b/desktop/sddm-theme-artix/sddm-theme-artix.info
new file mode 100644
index 0000000000..04a29737c4
--- /dev/null
+++ b/desktop/sddm-theme-artix/sddm-theme-artix.info
@@ -0,0 +1,10 @@
+PRGNAM="sddm-theme-artix"
+VERSION="0.7"
+HOMEPAGE="https://gitea.artixlinux.org/artix/sddm-theme-artix"
+DOWNLOAD="https://gitea.artixlinux.org/artix/sddm-theme-artix/archive/0.7.tar.gz"
+MD5SUM="dcbe075056d89c16bd24e36953bcbe10"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="artix-backgrounds"
+MAINTAINER="Isaac Yu"
+EMAIL="isaacyu1@isaacyu1.com"
diff --git a/desktop/sddm-theme-artix/slack-desc b/desktop/sddm-theme-artix/slack-desc
new file mode 100644
index 0000000000..62d966a4f9
--- /dev/null
+++ b/desktop/sddm-theme-artix/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sddm-theme-artix: sddm-theme-artix (SDDM theme for Artix Linux)
+sddm-theme-artix:
+sddm-theme-artix: This is the default SDDM theme used in Artix Linux.
+sddm-theme-artix:
+sddm-theme-artix:
+sddm-theme-artix:
+sddm-theme-artix:
+sddm-theme-artix:
+sddm-theme-artix:
+sddm-theme-artix:
+sddm-theme-artix: